# std::priority_queue::pop

From cppreference.com
< cpp‎ | container‎ | priority queue

void pop(); |  |

Removes the top element from the priority queue. Effectively calls std::pop_heap(c.begin(), c.end(), comp); c.pop_back();

### Parameters

(none)

### Return value

(none)

### Complexity

Logarithmic number of comparisons plus the complexity of Container::pop_back.

### See also

emplace (C++11) | constructs element in-place and sorts the underlying container (public member function)
push | inserts element and sorts the underlying container (public member function)
top | accesses the top element (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/container/priority_queue/pop&oldid=50626"